# Interface CreateTaskParams

#### Hierarchy

- CreateTaskParams

- Defined in src/taskQueue.ts:22

#####
Index

### Properties

asyncFunction
isPreCondition?
level?
parentTaskId?

## Properties

### asyncFunction

asyncFunction: ((Task: any) => Promise<any>)

#### Type declaration

- - (Task: any): Promise<any>

  - #### Parameters

    - ##### Task: any

    #### Returns Promise<any>

- Defined in src/taskQueue.ts:26

### `Optional` isPreCondition

isPreCondition?: boolean

- Defined in src/taskQueue.ts:24

### `Optional` level

level?: number

- Defined in src/taskQueue.ts:23

### `Optional` parentTaskId

parentTaskId?: string

- Defined in src/taskQueue.ts:25

Generated using TypeDoc